Mailinglist Archive: opensuse (4547 mails)

< Previous Next >
Re: [SLE] ver 9.0 programs in 9.1
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: Sun, 2 May 2004 06:02:17 +0200
  • Message-id: <200405020602.17498.andjoh@xxxxxxxxxx>
On Sunday 02 May 2004 02.09, Adolph & Sharon Weidanz wrote:
> Since the 9.1 comes with kernel 2.6.4, will programs rpm'd for 9.0
> work??? I use synaptic to keep my system current, will I need to wait
> for 9.1 rpms or recompile everything I want to install?

Most things will work as is, as the 2.6 kernel is almost completely compatible
with 2.4, and most of the things that aren't were ported already in 9.0 as
that was a "2.6 ready" distro.

That said, you may want to recompile a few things anyway, as 9.1 uses NPTL,
and at least some applications may get improved performance with that

< Previous Next >